﻿using C1.WPF;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TreeViewEditNode
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void treeView_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            var tree = sender as C1TreeView;
            if (tree != null)
            {
                var val = tree.GetNode(e.GetPosition(this)) as C1TreeViewItem;
                tree.StartEditing(val);
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            treeView.StartEditing(treeView.SelectedItem as C1TreeViewItem);
        }
    }
}
